---
search:
  tags:
    - support-capture
    - POST
seo:
  description: >-
    Create support feedback. Reference for the POST
    /workspaces/{organizationId}/support/feedback endpoint in the Pile API.
sidebar:
  label: Create support feedback
  badge: POST
title: Create support feedback
type: openapi-operation
---
`POST /workspaces/{organizationId}/support/feedback`

**Request body** (`application/json`)

- `kind` (string, required)
- `title` (string, required)
- `description` (string, required)
- `url` (string)
- `userAgent` (string)
- `viewport` (object)
- `deviceInfo` (object)
- `consoleErrors` (object[])
- `consoleLogs` (object[])
- `networkRequests` (object[])
- `userEvents` (object[])
- `errors` (object[])
- `screenshotDataUrl` (string)
- `recordingDataUrl` (string)
- `replayEvents` (any[])
- `includeNetworkBodies` (boolean)

Request body example:

```json
{
  "kind": "bug",
  "title": "string",
  "description": "string",
  "url": "string",
  "userAgent": "string",
  "viewport": {
    "width": 0,
    "height": 0
  },
  "deviceInfo": {
    "property1": null,
    "property2": null
  },
  "consoleErrors": [
    {
      "level": "string",
      "message": "string",
      "timestamp": "string"
    }
  ],
  "consoleLogs": [
    {
      "level": "string",
      "message": "string",
      "timestamp": "string"
    }
  ],
  "networkRequests": [
    {
      "method": "string",
      "url": "string",
      "status": 0,
      "duration": 0,
      "timestamp": "string",
      "requestBody": "string",
      "responseBody": "string"
    }
  ],
  "userEvents": [
    {
      "type": "string",
      "target": "string",
      "timestamp": "string",
      "metadata": {
        "property1": null,
        "property2": null
      }
    }
  ],
  "errors": [
    {
      "message": "string",
      "stack": "string",
      "source": "string",
      "timestamp": "string"
    }
  ],
  "screenshotDataUrl": "string",
  "recordingDataUrl": "string",
  "replayEvents": [
    null
  ],
  "includeNetworkBodies": true
}
```

**Responses**

- `201` — Member feedback filed as a support ticket
- `400` — Invalid screenshot payload

Response example, 201:

```json
{
  "ticketId": "string",
  "ticketNumber": 0
}
```
